## org.codehaus.plexus.component.discovery
Class ComponentDiscoveryEvent

    java.lang.Object
      org.codehaus.plexus.component.discovery.ComponentDiscoveryEvent

    public class ComponentDiscoveryEvent

extends java.lang.Object

Signals to a ComponentDiscoveryListener that an event has taken place involving a set of components. It is up to the Listener to decide what to do with that information.

Constructor Summary
`ComponentDiscoveryEvent(ComponentSetDescriptor componentSetDescriptor)` Constructs a `ComponentDiscoveryEvent` with a set of ComponentDescriptors.

Method Summary
`ComponentSetDescriptor` `getComponentSetDescriptor()` Returns this event's set of ComponentDescriptors.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentDiscoveryEvent

    public ComponentDiscoveryEvent(ComponentSetDescriptor componentSetDescriptor)

  Constructs a `ComponentDiscoveryEvent` with a set of ComponentDescriptors.

  Parameters:
    `componentSetDescriptor` - a set of ComponentDescriptors

Method Detail

### getComponentSetDescriptor

    public ComponentSetDescriptor getComponentSetDescriptor()

  Returns this event's set of ComponentDescriptors.

  Returns:
    this event's set of ComponentDescriptors

Copyright © 2011. All Rights Reserved.